package com.sf._01_字符串练习;

import java.util.Scanner;

public class Test {
    public static void main(String[] args) {
//        String fileName = "a.jpg";
//        String fileName1 = "b.txt";
//        String fileName2 = "c.png";
        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入上传文件名字");
        String fileName = scanner.next();
        String extName = getFileExt(fileName);
        //判断文件后缀是否是jpg 和png
        if(extName.equals("png")|| extName.equals("jpg")){
            System.out.println("上传成功");
        }else{
            System.out.println("文件上传格式不正确!必须是jpg 和png 格式");
        }
        // 实际网站在做文件上传的时候
        /**
         * 上传头像格式必须 jpg , png
         */
    }

    public static String getFileExt(String str){
        // 判断字符串是否为空 或者是""
        if(str == null || "".equals(str)){
            return null;
        }
        // 先获取. 最后索引位置
        int index = str.lastIndexOf(".");
        return str.substring(index+1);
    }
}
